Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.common
Class FeatFormulaErr2

    java.lang.Object
      org.apache.poi.hssf.record.common.FeatFormulaErr2

All Implemented Interfaces:
  SharedFeature

    public final class FeatFormulaErr2

extends java.lang.Object
implements SharedFeature

Title: FeatFormulaErr2 (Formula Evaluation Shared Feature) common record part

This record part specifies Formula Evaluation & Error Ignoring data for a sheet, stored as part of a Shared Feature. It can be found in records such as `FeatRecord`. For the full meanings of the flags, see pages 669 and 670 of the Excel binary file format documentation.

Constructor Summary
`FeatFormulaErr2()`
`FeatFormulaErr2(RecordInputStream in)`

Method Summary
`int` | `_getRawErrorCheckValue()`
`boolean` | `getCheckCalculationErrors()`
`boolean` | `getCheckDateTimeFormats()`
`boolean` | `getCheckEmptyCellRef()`
`boolean` | `getCheckInconsistentFormulas()`
`boolean` | `getCheckInconsistentRanges()`
`boolean` | `getCheckNumbersAsText()`
`boolean` | `getCheckUnprotectedFormulas()`
`int` | `getDataSize()`
`boolean` | `getPerformDataValidation()`
`void` | `serialize(LittleEndianOutput out)`
`void` | `setCheckCalculationErrors(boolean checkCalculationErrors)`
`void` | `setCheckDateTimeFormats(boolean checkDateTimeFormats)`
`void` | `setCheckEmptyCellRef(boolean checkEmptyCellRef)`
`void` | `setCheckInconsistentFormulas(boolean checkInconsistentFormulas)`
`void` | `setCheckInconsistentRanges(boolean checkInconsistentRanges)`
`void` | `setCheckNumbersAsText(boolean checkNumbersAsText)`
`void` | `setCheckUnprotectedFormulas(boolean checkUnprotectedFormulas)`
`void` | `setPerformDataValidation(boolean performDataValidation)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatFormulaErr2

    public FeatFormulaErr2()

### FeatFormulaErr2

    public FeatFormulaErr2(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `SharedFeature`
  Overrides:
    `toString` in class `java.lang.Object`

### serialize

    public void serialize(LittleEndianOutput out)

  Specified by:
    `serialize` in interface `SharedFeature`

### getDataSize

    public int getDataSize()

  Specified by:
    `getDataSize` in interface `SharedFeature`

### _getRawErrorCheckValue

    public int _getRawErrorCheckValue()

### getCheckCalculationErrors

    public boolean getCheckCalculationErrors()

### setCheckCalculationErrors

    public void setCheckCalculationErrors(boolean checkCalculationErrors)

### getCheckEmptyCellRef

    public boolean getCheckEmptyCellRef()

### setCheckEmptyCellRef

    public void setCheckEmptyCellRef(boolean checkEmptyCellRef)

### getCheckNumbersAsText

    public boolean getCheckNumbersAsText()

### setCheckNumbersAsText

    public void setCheckNumbersAsText(boolean checkNumbersAsText)

### getCheckInconsistentRanges

    public boolean getCheckInconsistentRanges()

### setCheckInconsistentRanges

    public void setCheckInconsistentRanges(boolean checkInconsistentRanges)

### getCheckInconsistentFormulas

    public boolean getCheckInconsistentFormulas()

### setCheckInconsistentFormulas

    public void setCheckInconsistentFormulas(boolean checkInconsistentFormulas)

### getCheckDateTimeFormats

    public boolean getCheckDateTimeFormats()

### setCheckDateTimeFormats

    public void setCheckDateTimeFormats(boolean checkDateTimeFormats)

### getCheckUnprotectedFormulas

    public boolean getCheckUnprotectedFormulas()

### setCheckUnprotectedFormulas

    public void setCheckUnprotectedFormulas(boolean checkUnprotectedFormulas)

### getPerformDataValidation

    public boolean getPerformDataValidation()

### setPerformDataValidation

    public void setPerformDataValidation(boolean performDataValidation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD